Đến nội dung


Hình ảnh

Giúp dùm em lệnh Tolerance!


  • Please log in to reply
22 replies to this topic

#1 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 15 February 2011 - 10:17 AM

Em có rất nhiều đối tượng dùng bằng lệnh tolerance em muốn dùng lệnh find để tìm và zoom to nhưng sao ko dc! Có cách nào tìm các đối tượng bằng lệnh tolerance đó ko các anh! Nhờ các anh giúp dùm với!
  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 15 February 2011 - 10:50 AM

Chắc phải dùng lisp bạn ạ ^^
  • -1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 nemo2004

nemo2004

    biết lệnh break

  • Advance Member
  • PipPipPipPip
  • 229 Bài viết
Điểm đánh giá: 98 (tàm tạm)

Đã gửi 15 February 2011 - 02:41 PM

Em có rất nhiều đối tượng dùng bằng lệnh tolerance em muốn dùng lệnh find để tìm và zoom to nhưng sao ko dc! Có cách nào tìm các đối tượng bằng lệnh tolerance đó ko các anh!


Nếu bạn dùng tolerance thi sẽ không thể find được đâu do khi đó đối tượng của bạn chuyển thành dạng khác chứ không còn là text nữa. Các phiên bản hiện nay chưa có bản nào làm được chuyện đó, bạn có thể quản lý các tolerance đó bằng layer rồi edit hàng loạt bằng Properties(Ctrl+1). Còn hiện tại mình đang dùng các block thuộc tính để thay thế cho việc dùng tolerance.
  • 0

Spoiler


#4 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 15 February 2011 - 03:04 PM

Chắc phải dùng lisp bạn ạ ^^

hix!nhờ bạn giúp dùm mình với!Mình đang phải tìm rất nhiều các đối tượng này!Thanks bạn trc nhé!
  • 0

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 15 February 2011 - 03:29 PM

Bạn gửi file đó lên mình xem cấu trúc Tolerance của bạn..Hiện tại mình chưa rỗi,n lúc nào rỗi mình sẽ giúp bạn ngay ^^
  • -1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 15 February 2011 - 04:25 PM

http://www.cadviet.c...3/tolerance.dwg
Nhờ bạn giúp dùm nhé!Mình muốn search tên của mấy cái tolerance và zoom to đến dc ko?
Thanks bạn nhìu nhen!
  • -1

#7 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 15 February 2011 - 04:46 PM

http://www.cadviet.c...3/tolerance.dwg
Nhờ bạn giúp dùm nhé!Mình muốn search tên của mấy cái tolerance và zoom to đến dc ko?
Thanks bạn nhìu nhen!
  • 0

#8 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 15 February 2011 - 11:33 PM

Của bạn đây.Khi tìm kiếm có phân biệt chữ hoa - chữ thường


;free líp from cadviet.com @ ketxu
(defun c:fz( / t2f sss lst ent minpoint maxpoint oEcho)
(vl-load-com)
(setq oEcho (getvar "cmdecho"))
(setvar "cmdecho" 0)
(setq
t2f (getstring t "\nChuoi can tim (ket thuc bang enter):")
sss (ssget "X" (list (cons 0 "TOLERANCE") (cons 1 (strcat "*" t2f "*"))))
lst (vl-remove-if 'listp (mapcar 'cadr (ssnamex sss)))
)
(alert (strcat "\nTim thay " (itoa (length lst)) " doi tuong!"))
(foreach ent lst
(vla-getboundingbox (vlax-ename->vla-object ent) 'minpoint 'maxpoint)
(setq minpoint (vlax-safearray->list minpoint)
maxpoint (vlax-safearray->list maxpoint))
(command ".zoom" minpoint maxpoint)
(command ".zoom" "0.5xp")
(getstring "\nNhan enter hoac spacebar de tiep tuc!")
)
(setvar "cmdecho" oEcho)
(princ)
)

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#9 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 16 February 2011 - 07:54 AM

Của bạn đây.Khi tìm kiếm có phân biệt chữ hoa - chữ thường


;free líp from cadviet.com @ ketxu
(defun c:fz( / t2f sss lst ent minpoint maxpoint oEcho)
(vl-load-com)
(setq oEcho (getvar "cmdecho"))
(setvar "cmdecho" 0)
(setq
t2f (getstring t "\nChuoi can tim (ket thuc bang enter):")
sss (ssget "X" (list (cons 0 "TOLERANCE") (cons 1 (strcat "*" t2f "*"))))
lst (vl-remove-if 'listp (mapcar 'cadr (ssnamex sss)))
)
(alert (strcat "\nTim thay " (itoa (length lst)) " doi tuong!"))
(foreach ent lst
(vla-getboundingbox (vlax-ename->vla-object ent) 'minpoint 'maxpoint)
(setq minpoint (vlax-safearray->list minpoint)
maxpoint (vlax-safearray->list maxpoint))
(command ".zoom" minpoint maxpoint)
(command ".zoom" "0.5xp")
(getstring "\nNhan enter hoac spacebar de tiep tuc!")
)
(setvar "cmdecho" oEcho)
(princ)
)

Cảm ơn bạn rất nhiều mình đang test và thấy rất OK! Có gì mình phản hồi sau nhé!
P/S: Cho mình hỏi diễn đàn mới nâng cấp giao diện mình ko thấy nút thanks đâu hết, với lại chức năng download lisp ko dùng được hay sao đó, down xuống mở lên chỉ có 1 hàng à!
  • 0

#10 nguyenvu1570

nguyenvu1570

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 February 2011 - 08:33 AM

anh chị cho em hỏi em có cái file cad ma đuôi la dxf lam sao sao em mở nó ra được vậy,file này người ta gởi cho em.em đang dùng cad 2007.mà trên may em cũng có file dxf lai mở được còn file kia thi mở không được
  • 0

#11 maihanh191

maihanh191

    biết lệnh scale

  • Members
  • PipPipPip
  • 148 Bài viết
Điểm đánh giá: 16 (tàm tạm)

Đã gửi 16 February 2011 - 09:21 AM

anh chị cho em hỏi em có cái file cad ma đuôi la dxf lam sao sao em mở nó ra được vậy,file này người ta gởi cho em.em đang dùng cad 2007.mà trên may em cũng có file dxf lai mở được còn file kia thi mở không được

up file len di bạn
  • 1

#12 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 16 February 2011 - 10:11 AM

Cảm ơn bạn rất nhiều mình đang test và thấy rất OK! Có gì mình phản hồi sau nhé!
P/S: Cho mình hỏi diễn đàn mới nâng cấp giao diện mình ko thấy nút thanks đâu hết, với lại chức năng download lisp ko dùng được hay sao đó, down xuống mở lên chỉ có 1 hàng à!

Ok bạn. Chức năng download lisp mình thấy ổn rồi đó chứ, chắc bạn gặp đúng lúc nó ngơ thôi ^^ Nút Tks thì nằm ở phía dưới bên phải bài viết, biểu tượng hình tròn màu xanh có dấu cộng ở giữa, status "Vote this post up" để tăng Reputation (danh tiếng) đó bạn ^^
  • -1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#13 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 17 February 2011 - 08:23 AM

Ok bạn. Chức năng download lisp mình thấy ổn rồi đó chứ, chắc bạn gặp đúng lúc nó ngơ thôi ^^ Nút Tks thì nằm ở phía dưới bên phải bài viết, biểu tượng hình tròn màu xanh có dấu cộng ở giữa, status "Vote this post up" để tăng Reputation (danh tiếng) đó bạn ^^

A a. Anh thử vote down cái thôi xin lỗi nhé.
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#14 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 17 February 2011 - 10:40 AM

Thì bác lại vote up kép nó lên th ^^
Hic hic, xem bóng mà sướng k ngủ được, mệt quá.....
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#15 oizdoi_oi

oizdoi_oi

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 306 Bài viết
Điểm đánh giá: 452 (tốt)

Đã gửi 21 February 2011 - 03:43 PM

Em có rất nhiều đối tượng dùng bằng lệnh tolerance em muốn dùng lệnh find để tìm và zoom to nhưng sao ko dc! Có cách nào tìm các đối tượng bằng lệnh tolerance đó ko các anh! Nhờ các anh giúp dùm với!

nếu chỉ tìm thì dùng Fi là ngon!
  • 0
KTS không bao giờ chết đói...mà chỉ đói đến lúc chết!

#16 tinya1225

tinya1225

    biết lệnh copy

  • Members
  • PipPipPip
  • 114 Bài viết
Điểm đánh giá: 34 (tàm tạm)

Đã gửi 04 April 2011 - 11:57 AM

Em có rất nhiều đối tượng dùng bằng lệnh tolerance em muốn dùng lệnh find để tìm và zoom to nhưng sao ko dc! Có cách nào tìm các đối tượng bằng lệnh tolerance đó ko các anh! Nhờ các anh giúp dùm với!

nếu các tol cùng layer thì dùng layiso rùi sc nó lên :(
nếu ko cùng layer thì dùng FI, chọn đối tượng là tol rùi quét vùng muốn sửa
move các tol chọn đc sang 1 đoạn cố định (mình vẽ 1 đường thẳng làm mốc)
sc nó rùi move lại theo đường thẳng lúc trc move.
mình thủ công nhưng thấy vẫn ok :D
  • 0
Thấy bài có ích thì ấn thật nhiều Thank + các bác nhé^^

#17 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 04 April 2011 - 12:58 PM

SC là gì hả bạn :) Ý của chủ topic là tìm kiếm theo nội dung TOL :)
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#18 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 04 April 2011 - 01:05 PM

nếu chỉ tìm thì dùng Fi là ngon!


nếu các tol cùng layer thì dùng layiso rùi sc nó lên :(
nếu ko cùng layer thì dùng FI, chọn đối tượng là tol rùi quét vùng muốn sửa
move các tol chọn đc sang 1 đoạn cố định (mình vẽ 1 đường thẳng làm mốc)
sc nó rùi move lại theo đường thẳng lúc trc move.
mình thủ công nhưng thấy vẫn ok :D


2 bạn này đã thử chưa mà hướng dẫn người khác như vậy? Bạn thử Filter để tìm mấy cái Tol có text giống nhau coi dc không?

Bạn có thể dùng Qick select để chọn các Tol có text giống nhau bằng cách:
Bạn đánh lệnh hay dùng menu thì tùy sao cho có cái bảng như hình dưới rồi chọn mấy cái thông số theo hình
Hình đã gửi
chú ý phần Value bạn đánh vào text bạn cần tìm với 2 dấu * ở trước và sau
  • 1

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341


#19 tinya1225

tinya1225

    biết lệnh copy

  • Members
  • PipPipPip
  • 114 Bài viết
Điểm đánh giá: 34 (tàm tạm)

Đã gửi 14 May 2011 - 02:18 PM

2 bạn này đã thử chưa mà hướng dẫn người khác như vậy? Bạn thử Filter để tìm mấy cái Tol có text giống nhau coi dc không?

Bạn có thể dùng Qick select để chọn các Tol có text giống nhau bằng cách:
Bạn đánh lệnh hay dùng menu thì tùy sao cho có cái bảng như hình dưới rồi chọn mấy cái thông số theo hình
Hình đã gửi
chú ý phần Value bạn đánh vào text bạn cần tìm với 2 dấu * ở trước và sau

mình đã làm thì mới jám nói chứ bạn. mình dùng cad 2008 tìm tol có text giống nhau bình thường mà
  • 0
Thấy bài có ích thì ấn thật nhiều Thank + các bác nhé^^

#20 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 16 September 2013 - 09:18 AM

Sau 2 năm xài lisp của bác em thấy rất OK, nhưng bây giờ phát sinh là em tìm ví dụ: P1-1 thì nó báo là hơn 50 đối tượng bao gồm cả P1-11, P1-12, P1-111..... có nghĩa là cái nào có chữ màu đỏ là nó tìm tuốt, trong khi đó em chỉ mún tìm chính xác P1-1 thôi ah! giờ sửa dùm em được ko ah, nghĩa là nếu mình gõ như thế nào thì nó tìm y chang như vậy (gõ P1-1 thì tìm đúng P1-1) còn mún tìm nhìu thì gõ P1-1* (dấu * đại diện cho các ký tự đại diện)

Thanks bác nhìu!


  • 0